Import predictions

Import model predictions for tasks in the specified project.

Authentication

Authorizationstring
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example: <br><pre><code class="language-bash">curl https://label-studio-host/api/projects -H "Authorization: Token [your-token]"</code></pre>

Path parameters

idintegerRequired
A unique integer value identifying this project.

Request

This endpoint expects a list of objects.
resultlist of objectsRequired
List of prediction results for the task
taskintegerRequired
clusterinteger or nullOptional-2147483648-2147483647
Cluster for the current prediction
mislabelingdoubleOptional
Related task mislabeling score
modelinteger or nullOptional
An ML Backend instance that created the prediction.
model_runinteger or nullOptional
A run of a ModelVersion that created the prediction.
model_versionstringOptional

Model version - tag for predictions that can be used to filter tasks in Data Manager, as well as select specific model version for showing preannotations in the labeling interface

neighborsany or nullOptional
Array of task IDs of the closest neighbors
projectinteger or nullOptional
scoredouble or nullOptional
Prediction score

Response

Predictions successfully imported
createdinteger or null
Number of predictions created

Errors